> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get local sandbox details

> Retrieves details about a local sandbox environment, including its status and all running servers.



## OpenAPI

````yaml get /local-sandbox/{local_sandbox_id}
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /local-sandbox/{local_sandbox_id}:
    get:
      tags:
        - local-sandbox
      summary: Get local sandbox details
      description: >-
        Retrieves details about a local sandbox environment, including its
        status and all running servers.
      operationId: get_local_sandbox_local_sandbox__local_sandbox_id__get
      parameters:
        - name: local_sandbox_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the local sandbox to retrieve
            title: Local Sandbox Id
          description: The ID of the local sandbox to retrieve
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocalSandboxInfo'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    LocalSandboxInfo:
      properties:
        local_sandbox_id:
          type: string
          title: Local Sandbox Id
          description: Unique identifier for the local sandbox environment
        created_at:
          type: string
          title: Created At
          description: Timestamp when the sandbox was created
        status:
          anyOf:
            - $ref: '#/components/schemas/SandboxStatus'
            - type: 'null'
          description: Current status of the local sandbox environment
        benchmark:
          anyOf:
            - type: string
            - type: 'null'
          title: Benchmark
          description: Benchmark environment configuration for the local sandbox
        servers:
          items:
            $ref: '#/components/schemas/LocalSandboxServerItem'
          type: array
          title: Servers
          description: List of MCP servers in this sandbox
      type: object
      required:
        - local_sandbox_id
        - created_at
        - servers
      title: LocalSandboxInfo
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SandboxStatus:
      type: string
      enum:
        - idle
        - occupied
        - error
      title: SandboxStatus
      description: Status of a sandbox instance - matches database enum
    LocalSandboxServerItem:
      properties:
        server_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Name
          description: Name of the MCP server
        id:
          type: string
          title: Id
          description: >-
            Unique identifier for this specific server instance within the
            sandbox
        mcp_server_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Mcp Server Url
          description: URL to connect to this specific MCP server instance
        status:
          anyOf:
            - $ref: '#/components/schemas/SandboxStatus'
            - type: 'null'
          description: Current status of this server's sandbox
        benchmark:
          anyOf:
            - type: string
            - type: 'null'
          title: Benchmark
          description: Benchmark environment configuration
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
          description: Last update timestamp
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: Additional metadata for the sandbox
        auth_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Auth Data
          description: Authentication data for the sandbox
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
          description: Sandbox tags
      type: object
      required:
        - id
      title: LocalSandboxServerItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````